import { ref } from 'vue';
import { v4 as uuid } from 'uuid';
import { defineStore } from 'pinia';

const useFlowStore = defineStore('flow', () => {
  const rtid = ref(uuid());

  return {
    rtid,

    rotate() {
      rtid.value = uuid();
    },
  };
});

export default useFlowStore;
